Subject: order return
From: Ingrid Larson <[email-masked]>
To: [email-masked]
Date: Sun, 23 Mar 2025 21:12:46 -0400

Hello,

I am contacting you regarding an order I placed with Amazon for your down
comforters.  I ordered more comforters than I needed, and I have four I
would like to return.  They are in brand new condition, and they have never
been removed from the original packaging.  Amazon directed me to your
customer service because I am outside the Amazon return window.  Can you
please assist me with this return?

The product is:
Madison Park Windom Down Alternative
Size: Full/Queen
Color: Diamond Quilt White
$33.46

Thank you,
Ingrid Pappas